CFCalendar Reference

## Detailed Description

## Typedefs

typedef struct __CFCalendar * | CFCalendarRef

## Enumerations

enum

CFCalendarUnit {
kCFCalendarUnitEra = (1UL << 1) , kCFCalendarUnitYear = (1UL << 2) , kCFCalendarUnitMonth = (1UL << 3) , kCFCalendarUnitDay = (1UL << 4) ,
kCFCalendarUnitHour = (1UL << 5) , kCFCalendarUnitMinute = (1UL << 6) , kCFCalendarUnitSecond = (1UL << 7) , kCFCalendarUnitWeek = (1UL << 8) ,
kCFCalendarUnitWeekday = (1UL << 9) , kCFCalendarUnitWeekdayOrdinal = (1UL << 10) , kCFCalendarUnitQuarter = (1UL << 11)
}

enum | { kCFCalendarComponentsWrap = (1UL << 0) }

## Creating a Calendar

CFCalendarRef | CFCalendarCopyCurrent (void)
CFCalendarRef | CFCalendarCreateWithIdentifier (CFAllocatorRef allocator, CFStringRef ident)

## Calendrical Calculations

Boolean | CFCalendarAddComponents (CFCalendarRef cal, CFAbsoluteTime *at, CFOptionFlags options, const char *componentDesc,...)
Boolean | CFCalendarComposeAbsoluteTime (CFCalendarRef cal, CFAbsoluteTime *at, const char *componentDesc,...)
Boolean | CFCalendarDecomposeAbsoluteTime (CFCalendarRef cal, CFAbsoluteTime at, const char *componentDesc,...)
Boolean | CFCalendarGetComponentDifference (CFCalendarRef cal, CFAbsoluteTime startinAT, CFAbsoluteTime resultAT, CFOptionFlags options, const char *componentDesc,...)

## Getting Ranges of Units

CFRange | CFCalendarGetRangeOfUnit (CFCalendarRef cal, CFCalendarUnit smallerUnit, CFCalendarUnit biggerUnit, CFAbsoluteTime at)
CFIndex | CFCalendarGetOrdinalityOfUnit (CFCalendarRef cal, CFCalendarUnit smallerUnit, CFCalendarUnit biggerUnit, CFAbsoluteTime at)
CFRange | CFCalendarGetMaximumRangeOfUnit (CFCalendarRef cal, CFCalendarUnit unit)
CFRange | CFCalendarGetMinimumRangeOfUnit (CFCalendarRef cal, CFCalendarUnit unit)
Boolean | CFCalendarGetTimeRangeOfUnit (CFCalendarRef cal, CFCalendarUnit unit, CFAbsoluteTime at, CFAbsoluteTime *startp, CFTimeInterval *tip)

## Getting and Setting the Time Zone

CFTimeZoneRef | CFCalendarCopyTimeZone (CFCalendarRef cal)
void | CFCalendarSetTimeZone (CFCalendarRef cal, CFTimeZoneRef tz)

## Getting the Identifier

CFStringRef | CFCalendarGetIdentifier (CFCalendarRef cal)

## Getting and Setting the Locale

CFLocaleRef | CFCalendarCopyLocale (CFCalendarRef cal)
void | CFCalendarSetLocale (CFCalendarRef cal, CFLocaleRef locale)

## Getting and Setting Day Information

CFIndex | CFCalendarGetFirstWeekday (CFCalendarRef cal)
void | CFCalendarSetFirstWeekday (CFCalendarRef cal, CFIndex wkdy)
CFIndex | CFCalendarGetMinimumDaysInFirstWeek (CFCalendarRef cal)
void | CFCalendarSetMinimumDaysInFirstWeek (CFCalendarRef cal, CFIndex mwd)

## Getting the Type ID

CFTypeID | CFCalendarGetTypeID (void)

## Typedef Documentation

## CFCalendarRef

typedef struct __CFCalendar* CFCalendarRef

CFCalendar is "toll-free bridged" to NSCalendar.